package fr.insa.clavardator.client.server.presence;

import fr.insa.clavardator.client.server.ServerType;

/**
 * Static factory class used to create concrete presence server implementations.
 */
public class PresenceFactory {
	public static Presence create(ServerType type, String uri, int serverPort, int proxyPort) throws UnknownPresenceException {
		switch (type) {
			case INSA:
				return new InsaPresence(uri, serverPort, proxyPort);
			default:
				throw new UnknownPresenceException();
		}
	}
}
